Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

[FB-462] Support for Ruby 2.6 #405

Merged
merged 2 commits into from Jun 20, 2019
Merged

Conversation

@jfuechsl
Copy link
Contributor

jfuechsl commented Jun 18, 2019

Description of your patch

Add support for Ruby 2.6.

Recommended Release Notes

Add support for Ruby 2.6.

Estimated risk

Medium. Existing (non-Ruby 2.6) environments should not be affected by the change.

Components involved

Ruby recipes
ey-environment library

Description of testing done

  1. Created a testing stack with this PR and #402.
  2. Booted a solo environment with Ruby 2.5 [sic].
  3. On the instance, synced the Ruby 2.6 ebuilds.
  4. Updated the environment to Ruby 2.6 and lock serverside version to 2.6.19.
  5. Checked if it applies correctly and deploys successfully.
  6. Downgraded to Ruby 2.5 and checked if it works.

QA Instructions

This PR must be merged after #402 and #403.
QA testing can only take place after the OS packages have been made available.

@jfuechsl jfuechsl requested a review from dvalfre Jun 18, 2019
Copy link
Contributor

dvalfre left a comment

LGTM

@DalianisDim DalianisDim added the LGTM label Jun 19, 2019
@DalianisDim DalianisDim merged commit 14b5009 into next-release Jun 20, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.